#!/bin/sh
echo 'name: convertible-text
version: 0.4.0.2
id: convertible-text-0.4.0.2-dbdd7ff455a1ffcffada8c150ca69343

license: BSD3
copyright: Copyright (c) 2009-2009 John Goerzen, Copyright (c) 2010-2011 Michael Snoyman
maintainer: Michael Snoyman <michael@snoyman.com>
stability: Stable
homepage: http://github.com/snoyberg/convertible/tree/text
package-url:
description: This is a port of John Goerzen'\''s convertible package, intended to distinguish between conversions which are guaranteed to succeed and those which might fail.  It uses the attempt package, which in turn uses the failure package, so that this package is fully compatible with the failure framework.
             .
             This package currently contains all of the typeclasses and instances for convertible.  However, as these features are ported to the convertible package, this package will be left with only the instances for converting to and from text types (String, ByteString (lazy and strict) and Text (lazy and strict).
             .
             Be aware that conversions to and from bytestrings assume UTF-8 encoding. If a different encoding is desired, you can use a newtype wrapper and declare an instance of @ConvertAttempt@ or @ConvertSuccess@ on it.
             .
             The main module to import is "Data.Convertible.Text".
category: Data, Failure
author: John Goerzen, Michael Snoyman
exposed: True
exposed-modules: Data.Convertible.Text Data.Convertible.Base
                 Data.Convertible.Utils Data.Convertible.Instances
                 Data.Convertible.Instances.C Data.Convertible.Instances.Map
                 Data.Convertible.Instances.Num Data.Convertible.Instances.Time
                 Data.Convertible.Instances.Text Data.Convertible.Instances.String
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/convertible-text-0.4.0.2
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/convertible-text-0.4.0.2
              /usr/local/lib
hs-libraries: HSconvertible-text-0.4.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: attempt-0.3.1.1-e6ab5ce9ae98492661cb9f6306dd0aad
         base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         bytestring-0.9.1.10-94a0a1c920aee21a485bdf21fd51b2be
         containers-0.4.0.0-8781485edb2ac0db733a9f9c72e27945
         old-time-1.0.0.6-64e7d46ef71d3ea7f6d3a651bbb2bcca
         template-haskell-2.5.0.0-adafdd03731a91bbb4c278042a2e11df
         text-0.11.1.5-b4f492f688b9a01c2b4d3a9904e832bc
         time-1.2.0.3-4f1bed38bdf37d398ba8f4311cbdac4a
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/convertible-text-0.4.0.2/html/convertible-text.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/convertible-text-0.4.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
